import { j as ListTriggersEnvelope, a as ListTriggersResponse, k as GetEligibleTriggersEnvelope, e as GetEligibleTriggersResponse } from './interfaces-ecommerce-v1-custom-trigger.public-998v1xLi.js';
export { C as CatalogReference, g as Context, d as CustomTrigger, f as CustomTriggerConfig, E as EligibleTrigger, G as GetEligibleTriggersRequest, h as IdentificationData, i as IdentificationDataIdOneOf, I as IdentityType, c as LineItem, L as ListTriggersRequest, b as ListTriggersResponseCustomTrigger, T as TriggerToFilterBy } from './interfaces-ecommerce-v1-custom-trigger.public-998v1xLi.js';
import '@wix/sdk-types';

/**
 * Lists all custom triggers provided by your service plugin integration.
 *
 * This method is automatically called by Wix eCommerce to populate the custom [minimum requirements section of an automatic discount](https://support.wix.com/en/article/wix-stores-creating-automatic-discounts#:~:text=Create%20minimum%20requirements).
 */
declare function listTriggers(payload: ListTriggersEnvelope): ListTriggersResponse | Promise<ListTriggersResponse>;
/**
 * Retrieves eligible custom discount triggers based on the provided items.
 *
 * This method is automatically called by Wix eCommerce to retrieve the custom discount triggers provided by your extension.
 * This happens when actions are performed on the cart and checkout entities/pages. For example, when an item is added to the cart.
 */
declare function getEligibleTriggers(payload: GetEligibleTriggersEnvelope): GetEligibleTriggersResponse | Promise<GetEligibleTriggersResponse>;

export { GetEligibleTriggersEnvelope, GetEligibleTriggersResponse, ListTriggersEnvelope, ListTriggersResponse, getEligibleTriggers, listTriggers };
